fuss-manager - Segnalazione #742

Analisi permessi

02/19/2019 12:16 PM - Enrico Zini

Status: Chiuso Start date: 02/19/2019

Priority: Normale Due date:

Assignee: Elena Grandi % Done: 0%

Category: Estimated time: 0.00 hour

Target version: 0.7 Autenticazione e autorizzazione

Resolution:

Description

Documentare chi pu6 fare cosa su fuss-manager

Related issues:

Related to fuss-manager - Segnalazione #859: Stesura di un elenco iniziale di... Chiuso 06/28/2019
Blocks fuss-manager - Segnalazione #799: Autenticazione e autorizzazione Chiuso 04/30/2019

History

#1 - 02/19/2019 12:17 PM - Enrico Zini

- Target version set to 0.4 Inventariazione

#2 - 02/19/2019 12:28 PM - Enrico Zini

Tutti gli ut

enti sono su LDAP? Anche i referenti che non fanno parte di quella scuola?

#3 - 02/19/2019 02:45 PM - Elena Grandi

Da discussione altrove:

Ad Octonet ci accedono
- i tecnici FUSS della Ripartizione informatica (che usano root oppure la loro utenza LDAP con tutte el autorizzazioni previste in OctoNet)
- i referenti tecnici FUSS delle scuole (docenti) che usano la loro utenza LDAP alla quale vengono assegnate solo alcune autorizzazioni in

Octo

Net (tipicamente gestione utenti e stampanti)

i tecnici hanno accesso root/sudo, i referenti no (non chiaro se si riferisce solo al server o anche ai client).

#4 - 02/19/2019 03:04 PM - Paolo Dongilli

Elena Grandi ha scritto:

Ad Octonet ci accedono

- i tecnici FUSS della Ripartizione informatica (che usano root oppure la loro utenza LDAP con tutte el autorizzazioni previste in OctoNet)
- i referenti tecnici FUSS delle scuole (docenti) che usano la loro utenza LDAP alla quale vengono assegnate solo alcune autorizzazioni in

OctoNet (tipicamente gestione utenti e stampanti)

i tecnici hanno accesso root/sudo, i referenti no (non chiaro se si riferisce solo al server o anche ai client).
Mi riferivo solo all'utenza root di Octonet che fa uso della master password:
La password di root di sistema, invece:
- sul server: € nota solo ai tecnici della ripartizione informatica

- sui client: & nota ai tecnici della ripartizione informatica e ad alcuni referenti tecnici delle scuole che hanno acquisito le competenze per lavorare sui
client.

#5 - 02/20/2019 02:50 PM - Elena Grandi

- Assignee set to Elena Grandi

#6 - 02/21/2019 10:27 AM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Che operazioni svolgono su octonet i referenti tecnici che non hanno la password di root?

#7 - 03/04/2019 11:56 AM - Paolo Dongilli
- File autorizzazioni-octonet.png added

- Assignee changed from Paolo Dongilli to Elena Grandi

Ad oggi, data la preparazione dei referenti tecnici, le funzionalita cui possono accedere sono:
- Utenti e Gruppi

- Computer gestiti

- Firewall

- Stampanti di rete

Un tecnico informatico, invece, autorizza la propria utenza a compiere tutte le operazioni.

Potenzialmente, un referente tecnico preparato (si contano sulle dita di una mano) potrebbero avere anche tutte le autorizzazioni al pari di un
tecnico.

#8 - 03/04/2019 01:40 PM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Quindi i tipi di operazioni che i referenti devono poter compiere sono:
Utenti e gruppi:

e creazione e modifica di utenti (singoli e tramite import)
e creazione di gruppi, e assegnazione di utenti ai gruppi

Computer gestiti:

e visualizzare I'elenco delle macchine sulla rete
® gestione dei cluster con aggiunta e rimozione delle macchine

e accensione e spegnimento delle macchine

¢ abilitazione / disabilitazione della navigazione internet
In quella pagina vedo anche la run di script sulle macchine: & in uso? devono poter continuare a farlo? e l'installazione di software?
Firewall:

e aggiungere e rimuovere entries dai vari file di configurazione del firewall
Stampanti di rete:

e accesso all'interfaccia di cups

E tutto? manca qualcosa? c¢'& qualcosa di troppo?

Questa € un'ottima occasione per rifinire meglio i permessi di accesso, ad esempio se ci sono pagine che al momento danno accesso ad alcune
operazioni che vanno permesse ed altre che invece vanno limitate.

#9 - 03/04/2019 02:33 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

Elena Grandi ha scritto:
Quindi i tipi di operazioni che i referenti devono poter compiere sono:
Utenti e gruppi:

e creazione e modifica di utenti (singoli e tramite import)

OK
e creazione di gruppi, e assegnazione di utenti ai gruppi
OK
Computer gestiti:
e visualizzare I'elenco delle macchine sulla rete
OK

¢ gestione dei cluster con aggiunta e rimozione delle macchine

04/10/2024 3/8



OK

¢ accensione e spegnimento delle macchine

OK

e abilitazione / disabilitazione della navigazione internet

OK

In quella pagina vedo anche la run di script sulle macchine: & in uso? devono poter continuare a farlo? e l'installazione di software?

Attualmente non lo usa praticamente nessuno, perché non sempre funzionante. Il run di script andrebbe rivisto e sottoposto ad un vostro ciclo di
test/collaudo.

Installazione di software pure non viene usato. Pure questo dovrebbe essere sottoposto a vostro collaudo/revisione.
Firewall:

e aggiungere e rimuovere entries dai vari file di configurazione del firewall

OK
Stampanti di rete:

e accesso all'interfaccia di cups

OK

E tutto? manca qualcosa? c'& qualcosa di troppo?

Una funzionalita che manca é quella di accendere e spegnere i dispositivi radio 2.4 e 5 GHz negli accesspoint WiFi. Ve lo descrivo in un ticket a
parte.

Altro per ora non mi viene in mente.

Questa e un'ottima occasione per rifinire meglio i permessi di accesso, ad esempio se ci sono pagine che al momento danno accesso ad alcune
operazioni che vanno permesse ed altre che invece vanno limitate.

Per ora queste.
#10 - 03/04/2019 02:37 PM - Elena Grandi

- Assignee changed from Elena Grandi to Paolo Dongilli

Paolo Dongilli ha scritto:

In quella pagina vedo anche la run di script sulle macchine: & in uso? devono poter continuare a farlo? e l'installazione di software?

Attualmente non lo usa praticamente nessuno, perché non sempre funzionante. Il run di script andrebbe rivisto e sottoposto ad un vostro ciclo di
test/collaudo.

¢ previsto che lo sia (con delle modifiche)

una volta che e funzionante la run di script deve essere permessa a tutti? per qualunque script (anche caricato al momento dall'utente) o solo per un
elenco di script predefiniti?

Installazione di software pure non viene usato. Pure questo dovrebbe essere sottoposto a vostro collaudo/revisione.

L'intenzione é di unificarlo al caso precedente.

#11 - 03/07/2019 03:21 AM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi
Elena Grandi ha scritto:

una volta che ¢ funzionante la run di script deve essere permessa a tutti? per qualunque script (anche caricato al momento dall'utente) o solo
per un elenco di script predefiniti?

Direi di si, per chiunque sia autorizzato ad utilizzare questa funzionalita. E chi ha avra questa autorizzazione tipicamente é chi ad oggi conosce la
pwd di root dei client.
#12 - 03/08/2019 11:38 AM - Elena Grandi

- Assignee changed from Elena Grandi to Enrico Zini
Riassegno ad Enrico per chiedergli se secondo lui ¢'& tutto o ci siam dimenticati di qualcosa

#13 - 03/11/2019 12:26 PM - Elena Grandi

- Assignee changed from Enrico Zini to Paolo Dongilli

Riassumendo i contenuti del ticket, queste sono le specifiche attuali sui permessi (una volta confermate e completate le salvero nel repository, come
docs/permissions.rst, per documentazione futura)

Ruoli

e Tecnici FUSS della Ripartizione Informatica (hanno root/sudo)
¢ Referenti tecnici (non hanno root/sudo a parte qualcuno, che ha la password di root dei client)

Password
e master: /etc/fuss-server/fuss-server.yaml contiene una master password che viene usata come password per un po' di servizi ed € anche la
password root di octonet

e root-server: root password del server
e root-client: root password dei client

Autorizzazione

Tutte le password sono in LDAP: possiamo usare LDAP + master password come backend di autenticazione
Livelli di autorizzazione
¢ master-root (root sul server) - corrispondente ai tecnici fuss
client-root (root sui client) - corrispondente ai referenti tecnici con password root-client: A
technician (amministrazione client, ma senza root) - corrispondente ai referenti tecnici: B

operator (gestione uso dei client)
user (cambio password — da valutare)

L]

L]

L]

L]
Permessi dei referenti tecnici
Utenti e gruppi:

¢ creazione e modifica di utenti (singoli e tramite import) [AB]
* creazione di gruppi, e assegnazione di utenti ai gruppi [AB]

Computer gestiti:
e visualizzare I'elenco delle macchine sulla rete [AB}
¢ gestione dei cluster/group con aggiunta e rimozione delle macchine [AB]
® accensione e spegnimento delle macchine [AB]
¢ abilitazione / disabilitazione della navigazione internet [AB]
Firewall:
® aggiungere e rimuovere entries dai vari file di configurazione del firewall [AB]

Stampanti di rete:

¢ accesso all'interfaccia di cups [AB]
e Accendere e spegnere i dispositivi radio 2.4 e 5 GHz negli accesspoint WiFi (in futuro) [AB]

Run di script sulle macchine [A]

[aggiornamento: cambiati i livelli di autorizzazione dopo comunicazione via xmpp)
#14 - 03/11/2019 12:28 PM - Elena Grandi

Rimangono delle domande:
e ci sono referenti tecnici che oltre alle password di root dei client hanno anche la master-password?

¢ j referenti tecnici che hanno la password di root dei client possono essere equiparati totalmente ai tecnici fuss, oppure € opportuno avere un
livello di permessi intermedio da assegnare loro?

#15 - 03/11/2019 04:18 PM - Paolo Dongilli

- Assignee changed from Paolo Dongilli to Elena Grandi

Elena Grandi ha scritto:
Rimangono delle domande:

e ci sono referenti tecnici che oltre alle password di root dei client hanno anche la master-password?

Di regola no, tranne qualche eccezione.

e i referenti tecnici che hanno la password di root dei client possono essere equiparati totalmente ai tecnici fuss, oppure & opportuno avere un
livello di permessi intermedio da assegnare loro?

E" opportuno avere un livello di permessi intermedio.

#16 - 04/05/2019 10:37 AM - Elena Grandi

- Target version changed from 0.4 Inventariazione to 0.9 Consolidamento

#17 - 04/30/2019 02:39 PM - Enrico Zini

- Blocks Segnalazione #799: Autenticazione e autorizzazione added

#18 - 06/19/2019 11:21 AM - Elena Grandi

- Target version changed from 0.9 Consolidamento to 0.7 Autenticazione e autorizzazione

#19 - 06/28/2019 01:45 PM - Elena Grandi

- Related to Segnalazione #859: Stesura di un elenco iniziale di Permission necessarie added
#20 - 07/05/2019 10:42 AM - Elena Grandi

- Status changed from Nuovo to Commenti

#21 - 10/11/2019 10:23 AM - Elena Grandi

Allego il file perms.yaml iniziale che si puo far installare da fuss-server in /etc/fuss-server/fuss-server.yaml (sara da aggiornare man mano che si

aggiungeranno nuove categorie di permessi, ma avverra dopo la release 0.7)

#22 - 10/11/2019 10:24 AM - Elena Grandi
- File perms.yaml added

#23 - 11/22/2019 12:02 PM - Elena Grandi

- Status changed from Commenti to Chiuso

Aggiunto perms.yaml a fuss-server, ulteriori modifiche si faranno li.

Chiudo questo ticket.

Files

autorizzazioni-octonet.png 29.9 KB 03/04/2019 Paolo Dongilli

perms.yaml 704 Bytes 10/11/2019 Elena Grandi
